1. List the books Authored by Marjorie Green.

You Can Combat Computer Stress
The Busy Executive's Database Guide

2. List the books Authored by Michael O'Leary.

Cooking With Computers


3. Write the author/s of "The Busy Executive’s Database Guide".

Marjorie Green
Abraham Bennet


4. Identify the publisher of "But Is It User Friendly?".

Algodata InfoSystems

5. List the books published by Algodata Infosystems.

The Busy Executive's Database Guide
Cooking With Computers
Straight Talk About Computers
But Is It User Friendly?
Secrets of Silicon Valley
Net Etiquette






